<div class="wrap_modalbox">
  <div class="modal-header">
    <h3 class="modal-title" title="{{title}}">
      EY Calculations and Comparisons {{filterName}}
    </h3>
    <span class="material-symbols-outlined UL-cr-pointer modal-top-action"
      style="font-size: 20px;font-weight: 600"
      data-ng-click="close()" 
      title="Close">
      close
    </span>
    <!--<img src="___RELEASE_VERSION___/resources/icons/close_black.svg" class="close modal-top-action" data-ng-click="close()"
      type="button" />-->
    <span
      class="glyphicon glyphicon-refresh modal-top-action UL-mg-t-3"
      title="Refresh"
      data-ng-click="refresh()"
      >
    </span>
    <!--<button class="second_btn btn_small pull-right modalrefresh_btn" data-ng-click="refresh()" type="button">
      Refresh
    </button>-->
  </div>
  <div class="row well div_with_no_margin">
    <div data-ng-if="inits.showWait === true">
      <img alt="Please Wait" src="___RELEASE_VERSION___/resources/spinner.gif" />
      {{inits.waitMessage}}
    </div>
    <div data-ng-if="inits.showWait === false">
      <ul class="nav nav-tabs">
        <li class="active">
          <a data-toggle="tab" href="#eycalculation" data-ng-click="onTabSelect('eycalculation')">
            EY Calculation
          </a>
        </li>
        <li>
          <a data-toggle="tab" href="#eycomparison" data-ng-click="onTabSelect('eycomparison')">
            EY Comparison
          </a>
        </li>
      </ul>
      <div class="modal-page" data-ng-if="message" style="color: red; text-align: center; padding-top: 10px">
        {{message}}
      </div>
      <div class="modal-page" data-ng-if="!message && !tabData.length"
        style="color: red; text-align: center; padding-top: 10px">
        No Report Found.
      </div>
      <div class="tab-content">
        <div id="eycalculation" class="tab-pane active">
          <div class="row div_adj_height">
            <div class="col-xs-3 div_adj_block eya_calcmenu">
              <div>
                <div index="$index+1"
                  data-ng-repeat="calculation in calculations | filter: { type: 'ey_calculation' } | orderBy: calculation.creation_date track by $index"
                  title="Key: {{calculation.key}}, Name: {{calculation.project_name}}"
                  class="UL-EY-calculation-tablisting" data-ng-class="{'active': calculation.key === selectedKey}">
                  <div class="UL-EYC-listing">
                    <div class="ULd-flex UL-pd-b-3">
                      <div class="UL-ellipsis UL-EYCproductName">
                        {{calculation.project_name}}
                      </div>
                      <div class="close delDoc UL-EYC-eye-icon"
                        data-ng-click="select(calculation.key, 'ey_calculation')">
                        <span class="material-symbols-outlined UL-EYCvisible">
                          visibility
                        </span>
                      </div>
                    </div>
                    <span class="UL-EYC-dateTime">
                      {{calculation.creation_date | date:'short'}}
                    </span>
                    <div class="close delDoc UL-EYC-delete-icon" aria-label="Close"
                      data-ng-click="remove($index, calculation.key, 'ey_calculation', $event)">
                      <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                    </div>
                  </div>
                </div>
              </div>
              <!-- <uib-tabset active="activePill" vertical="true" type="pills">
                <uib-tab
                  index="$index+1"
                  data-ng-repeat="calculation in calculations | filter: { type: 'ey_calculation' } | orderBy: calculation.creation_date track by $index"
                  title="Key: {{calculation.key}}, Name: {{calculation.project_name}}"
                >
                  <uib-tab-heading>
                    <div class="UL-EYC-listing">
                      <div class="UL-ellipsis UL-d-inline-block">
                        {{calculation.project_name}}
                      </div>
                      <div
                        class="close delDoc UL-EYC-eye-icon"
                        data-ng-click="select(calculation.key, 'ey_calculation')"
                      >
                        <span class="material-symbols-outlined UL-EYCvisible">
                          visibility
                        </span>
                      </div>
                      <span class="UL-EYC-dateTime">
                        {{calculation.creation_date | date:'short'}}
                      </span>
                      <div
                        class="close delDoc UL-EYC-delete-icon"
                        aria-label="Close"
                        data-ng-click="remove($index, calculation.key, 'ey_calculation', $event)"
                      >
                        <span
                          class="glyphicon glyphicon-trash"
                          aria-hidden="true"
                        ></span>
                      </div>
                    </div>
                  </uib-tab-heading>
                </uib-tab>
              </uib-tabset> -->
            </div>
            <div class="col-xs-9 div_adj_block">
              <div class="modal-page" data-ng-if="inits.showCalculationWait && calculations.length">
                <img alt="Please Wait" src="___RELEASE_VERSION___/resources/spinner.gif" />
                Please Wait
              </div>
              <div class="modal-page eyacalc-format"
                data-ng-if="!inits.showCalculationWait && selected.type === 'ey_calculation'">
                <div class="modal-section">
                  <div class="modal-field">
                    <div class="modal-field-label">Project</div>
                    <div class="modal-field-value">
                      {{filterName.replace('for ', '')}}
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">Layout</div>
                    <div class="modal-field-value">
                      {{ selectedCalculation.site[0].site_name }}
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">Date</div>
                    <div class="modal-field-value">
                      {{selected.creation_date}}
                    </div>
                  </div>
                  <div class="modal-field" ng-if="selectedCalculation.turbine_type[0].comments.length > 0">
                    <div class="modal-field-label">Comments</div>
                  </div>
                  <div class="modal-section notice" ng-if="selectedCalculation.turbine_type[0].comments.length > 0">
                    {{ selectedCalculation.turbine_type[0].comments }}
                  </div>
                  <!-- Turbine Manufacturer/Model -->
                  <div class="modal-field" ng-bind-html="selected.turbineModelHtml"></div>
                  <!-- Turbine Rated Power (MW) -->
                  <div class="modal-field" ng-bind-html="selected.turbineRatedPowerHtml"></div>
                  <!-- Hub Height (m) -->
                  <div class="modal-field" ng-bind-html="selected.hubHeightHtml"></div>
                  <!-- Number of Turbines -->
                  <div class="modal-field" ng-bind-html="selected.numberOfTurbineHtml"></div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Total Number of Turbines
                    </div>
                    <div class="modal-field-value">
                      {{ selectedCalculation.site[0].turbines }}
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Site Air Density (kg/m&sup3;)
                    </div>
                    <div class="modal-field-value">
                      {{
                      selectedCalculation.site[0].mean_air_density_at_turbines.toFixed(2)
                      }}
                    </div>
                  </div>
                  <div class="" data-ng-if="selected.hasGrdAdjustmentData">
                    <div class="col-md-12 mt-10 text-left">
                      <rrap-adjusted-grid grid-info="selected.source_info.gridAdjustmentData" is-grid-section="false"></rrap-adjusted-grid>
                    </div>
                  </div>
                </div>
                <div class="modal-section notice">
                  {{selected.estimatesComment}}
                </div>
                <div class="modal-section">
                  <div class="modal-section-title">
                    Overall Wind Plant Summary
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Average Free Wind Speed (m/s)
                    </div>
                    <div class="modal-field-value">
                      {{
                      selectedCalculation.site[0].mean_free_wind_speed_at_turbines.toFixed(2)
                      }}
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Gross Plant Production (GWh/yr)
                    </div>
                    <div class="modal-field-value">
                      {{ selectedCalculation.site[0].gross_energy.toFixed(2) }}
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Net Plant Production (GWh/yr)
                    </div>
                    <div class="modal-field-value">
                      {{ selectedCalculation.site[0].net_energy.toFixed(2) }}
                    </div>
                  </div>
                  <div class="modal-row-separator"></div>
                  <div class="modal-field">
                    <div class="modal-field-label">Net Capacity Factor (%)</div>
                    <div class="modal-field-value">
                      {{ selectedCalculation.site[0].capacity_factor.toFixed(2)
                      }}
                    </div>
                  </div>
                </div>

                <div class="modal-section" data-ng-if="selectedCalculation.site[0].site_turbines.turbine.length">
                  <div class="modal-section-title">
                    Per Turbine Summary<br />
                    <span style="font-weight: normal">
                      UTM values are based on -
                      <strong>{{selectedCalculation.mapping_datum}}</strong><br />Zone:
                      <strong>{{selectedCalculation.utm_zone}} </strong>
                    </span>
                  </div>
                  <div class="modal-section flex">
                    <div class="row">
                      <div class="col-md-4 mb-10 padding-3"
                        data-ng-repeat="item in selectedCalculation.site[0].site_turbines.turbine">
                        <div class="row">
                          <div class="col-md-12">
                            <div class="modal-field turb_heading">
                              <div class="modal-field-label">
                                <strong>Turbine {{item.index}}</strong>
                              </div>
                            </div>
                          </div>
                          <div class="col-md-12">
                            <div>
                              <div class="modal-field">
                                <div class="modal-field-label">Easting (m)</div>
                                <div class="modal-field-value">{{item.x}}</div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Northing (m)
                                </div>
                                <div class="modal-field-value">{{item.y}}</div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Elevation (m)
                                </div>
                                <div class="modal-field-value">
                                  {{item.terrain_elevation.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Free Speed (m/s)
                                </div>
                                <div class="modal-field-value">
                                  {{item.mean_free.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Gross (MWh/yr)
                                </div>
                                <div class="modal-field-value">
                                  {{item.gross_yield.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Array Efficiency (%)
                                </div>
                                <div class="modal-field-value">
                                  {{item.array_efficiency.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Net (MWh/yr)
                                </div>
                                <div class="modal-field-value">
                                  {{item.net_yield.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Capacity Factor (%)
                                </div>
                                <div class="modal-field-value">
                                  {{item.capacity_factor.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Hub Height(m)
                                </div>
                                <div class="modal-field-value">
                                  {{item.hub_height.toFixed(2)}}
                                </div>
                              </div>
                              <div class="modal-field">
                                <div class="modal-field-label">
                                  Turbine Model
                                </div>
                                <div class="modal-field-value">
                                  {{item.turbine_type}}
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="modal-page eyacalc-format"
                data-ng-if="!inits.showCalculationWait && selected.type == 'eye_calculation'">
                <div class="modal-section">
                  <div class="modal-field">
                    <div class="modal-field-label">Project</div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble" path="['site', 0, 'site_name']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">Date</div>
                    <div class="modal-field-value">
                      {{selected.creation_date}}
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">Comments</div>
                  </div>
                  <div class="modal-section notice">
                    <span-by-path source="selected.ensemble" path="['turbine_type', 0, 'comments']">
                    </span-by-path>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Turbine Manufacturer/Model
                    </div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble"
                        path="['site', 0, 'site_turbines', 'turbine', 0, 'turbine_type']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Turbine Rated Power (MW)
                    </div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble"
                        path="['site', 0, 'site_turbines', 'turbine', 0, 'capacity']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">Hub Height (m)</div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble"
                        path="['site', 0, 'site_turbines', 'turbine', 0, 'hub_height']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">Number of Turbines</div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble" path="['site', 0, 'turbines']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Site Air Density (kg/m&sup3;)
                    </div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble" path="['site', 0, 'mean_air_density_at_turbines']">
                      </span-by-path>
                    </div>
                  </div>
                </div>
                <div class="modal-section notice">
                  {{selected.estimatesComment}}
                </div>
                <div class="modal-section">
                  <div class="modal-section-title">
                    Overall Wind Plant Summary
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Average Free Wind Speed (m/s)
                    </div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble"
                        path="['site', 0, 'mean_free_wind_speed_at_turbines', '$filter:number:2']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Gross Plant Production (GWh/yr)
                    </div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble" path="['site', 0, 'gross_energy', '$filter:number:2']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-field">
                    <div class="modal-field-label">
                      Net Plant Production (GWh/yr)
                    </div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble" path="['site', 0, 'net_energy', '$filter:number:2']">
                      </span-by-path>
                    </div>
                  </div>
                  <div class="modal-row-separator"></div>
                  <div class="modal-field">
                    <div class="modal-field-label">Net Capacity Factor (%)</div>
                    <div class="modal-field-value">
                      <span-by-path source="selected.ensemble"
                        path="['site', 0, 'capacity_factor', '$filter:number:2']">
                      </span-by-path>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div id="eycomparison" class="tab-pane">
          <div class="row div_adj_height" style="padding-top: 10px">
            <div class="col-md-3 div_adj_block eya_calcmenu">
              <div>
                <div data-ng-repeat="wtgcompare in calculations | filter: { type: 'eye_calculation' } track by $index"
                  title="Key: {{wtgcompare.key}}, Name: {{wtgcompare.project_name}}"
                  class="UL-EY-calculation-tablisting" data-ng-class="{'active': wtgcompare.key === selectedKey}">
                  <div class="UL-EYC-listing">
                    <div class="ULd-flex UL-pd-b-3">
                      <div class="UL-ellipsis UL-EYCproductName">
                        {{wtgcompare.project_name}}
                      </div>
                      <div class="close delDoc UL-EYC-eye-icon"
                        data-ng-click="select(wtgcompare.key, 'eye_calculation')">
                        <span class="material-symbols-outlined UL-EYCvisible">
                          visibility
                        </span>
                      </div>
                    </div>
                    <span class="UL-EYC-dateTime">
                      {{wtgcompare.creation_date | date:'short'}}
                    </span>
                    <div class="close delDoc UL-EYC-delete-icon" aria-label="Close"
                      data-ng-click="remove($index, wtgcompare.key, 'eye_calculation', $event)">
                      <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                    </div>
                  </div>
                </div>
              </div>
              <!--<uib-tabset active="active" vertical="true" type="pills">
                <uib-tab
                  index="$index+1"
                  data-ng-repeat="wtgcompare in calculations | filter: { type: 'eye_calculation' } track by $index"
                  title="Key: {{wtgcompare.key}}, Name: {{wtgcompare.project_name}}"
                >
                  <uib-tab-heading>
                    <div class="UL-EYC-listing">
                      <div class="UL-ellipsis UL-d-inline-block">
                        {{wtgcompare.project_name}}
                      </div>
                      <div
                        class="close delDoc UL-EYC-eye-icon"
                        data-ng-click="select(wtgcompare.key, 'eye_calculation')">
                        <span class="material-symbols-outlined UL-EYCvisible">
                          visibility
                        </span>
                      </div>
                      <span class="UL-EYC-dateTime">
                        {{wtgcompare.creation_date | date:'short'}}
                      </span>
                      <div
                        class="close delDoc UL-EYC-delete-icon"
                        aria-label="Close"
                        data-ng-click="remove($index, wtgcompare.key, 'eye_calculation', $event)"
                      >
                        <span
                          class="glyphicon glyphicon-trash"
                          aria-hidden="true"
                        ></span>
                      </div>
                    </div>
                  </uib-tab-heading>
                </uib-tab>
              </uib-tabset> -->
            </div>
            <div class="col-md-9 div_adj_block">
              <div class="modal-page" data-ng-if="inits.showCalculationWait && calculations.length">
                <img alt="Please Wait" src="___RELEASE_VERSION___/resources/spinner.gif" />
                Please Wait
              </div>
              <div class="wtg_border" style="display: grid;" data-ng-if="!inits.showCalculationWait && selected.type == 'eye_calculation'">
                <div class="row">
                  <div class="col-md-12">
                    <div class="wtg_comments">
                      <div class="row">
                        <div class="col-md-2">
                          <p class="blue_text">Project</p>
                          <p class="comments_text">
                            {{filterName.replace('for ', '')}}
                          </p>
                        </div>
                        <div class="col-md-2">
                          <p class="blue_text">Layout</p>
                          <p class="comments_text">
                            {{selected.ensemble[0].site[0].site_name}}
                          </p>
                        </div>
                        <div class="col-md-2">
                          <p class="blue_text">Date</p>
                          <p class="comments_text">
                            {{selected.creation_date}}
                          </p>
                        </div>
                        <div class="col-md-6">
                          <p class="blue_text">Comments</p>
                          <p class="comments_text">
                            The gross energy production is estimated from the
                            turbine power curve, adjusted for air density, and
                            the site speed frequency distribution. The gross
                            energy is reduced by the range of losses to attain
                            the range of net energy. The losses shown are
                            typical of those experienced by wind projects;
                            actual losses may vary.
                          </p>
                          <p class="comments_text">
                            The power curves used for calculations of energy are
                            either publicly available or have been provided by
                            the manufacturer and are not available for
                            distribution through UL Solutions.
                          </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-2 mt-10">
                      <p class="blue_text">Number of Turbines</p>
                      <p class="comments_text">
                        {{selected.ensemble[0].site[0].turbines}}
                      </p>
                    </div>
                    <div class="col-md-2 mt-10">
                      <p class="blue_text">Site Air Density (kg/m3)</p>
                      <p class="comments_text">
                        {{selected.ensemble[0].site[0].mean_air_density_at_turbines.toFixed(2)}}
                      </p>
                    </div>
                    <div class="col-md-2 mt-10">
                      <p class="blue_text">Hub Height (m)</p>
                      <p class="comments_text">
                        {{selected.ensemble[0].turbine_type[0].hub_height}}
                      </p>
                    </div>
                    <div class="col-md-6">
                      <div class="wtg_report_error">
                        <p>{{selected.estimatesComment}}</p>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="wtg_summary">
                    <div class="row">
                      <div class="col-md-12">
                        <div class="bg">
                          <p>Energy Production Summary</p>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="row body">
                          <div class="col-md-12">
                            <div>
                              <table class="table">
                                <tbody>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td class="green">
                                      {{removeUnknown(selected.ensemble[0].turbine_type[0].name)}}
                                    </td>
                                    <td class="yellow" ng-if="selected.ensemble[1]">
                                      {{removeUnknown(selected.ensemble[1].turbine_type[0].name)}}
                                    </td>
                                    <td ng-if="selected.ensemble[2]" class="orange">
                                      {{removeUnknown(selected.ensemble[2].turbine_type[0].name)}}
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">Rated Capacity</td>
                                    <td class="green">
                                      {{selected.ensemble[0].turbine_type[0].capacity}}
                                      kW
                                    </td>
                                    <td class="yellow" ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].turbine_type[0].capacity}}
                                      kW
                                    </td>
                                    <td ng-if="selected.ensemble[2]" class="orange">
                                      {{selected.ensemble[2].turbine_type[0].capacity}}
                                      KW
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">Hub Height</td>
                                    <td>
                                      {{selected.ensemble[0].turbine_type[0].hub_height}}
                                      m
                                    </td>
                                    <td ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].turbine_type[0].hub_height}}
                                      m
                                    </td>
                                    <td ng-if="selected.ensemble[2]">
                                      {{selected.ensemble[2].turbine_type[0].hub_height}}
                                      m
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">
                                      Average Free Wind Speed (m/s)
                                    </td>
                                    <td class="green">
                                      {{selected.ensemble[0].site[0].mean_free_wind_speed_at_turbines.toFixed(2)}}
                                    </td>
                                    <td class="yellow" ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].site[0].mean_free_wind_speed_at_turbines.toFixed(2)}}
                                    </td>
                                    <td ng-if="selected.ensemble[2]" class="orange">
                                      {{selected.ensemble[2].site[0].mean_free_wind_speed_at_turbines.toFixed(2)}}
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">
                                      Gross Energy Production (GWh/yr)
                                    </td>
                                    <td class="green">
                                      {{selected.ensemble[0].site[0].gross_energy.toFixed(2)}}
                                    </td>
                                    <td class="yellow" ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].site[0].gross_energy.toFixed(2)}}
                                    </td>
                                    <td ng-if="selected.ensemble[2]" class="orange">
                                      {{selected.ensemble[2].site[0].gross_energy.toFixed(2)}}
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">Loss Estimation Range</td>
                                    <td>
                                      {{selected.ensemble[0].lossEstimation_range}}
                                    </td>
                                    <td ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].lossEstimation_range}}
                                    </td>
                                    <td ng-if="selected.ensemble[2]">
                                      {{selected.ensemble[2].lossEstimation_range}}
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">
                                      Net Energy Production (GWh/yr)
                                    </td>
                                    <td class="green">
                                      {{selected.ensemble[0].site[0].net_energy.toFixed(2)}}
                                    </td>
                                    <td class="yellow" ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].site[0].net_energy.toFixed(2)}}
                                    </td>
                                    <td ng-if="selected.ensemble[2]" class="orange">
                                      {{selected.ensemble[2].site[0].net_energy.toFixed(2)}}
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">Gross Capacity Factor</td>
                                    <td>
                                      {{selected.ensemble[0].site[0].capacity_factor.toFixed(2)}}
                                      %
                                    </td>
                                    <td ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].site[0].capacity_factor.toFixed(2)}}
                                      %
                                    </td>
                                    <td ng-if="selected.ensemble[2]">
                                      {{selected.ensemble[2].site[0].capacity_factor.toFixed(2)}}
                                      %
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="grey">Net Cap. Factor Range</td>
                                    <td class="green">
                                      {{selected.ensemble[0].capacity_factor_range}}
                                    </td>
                                    <td class="yellow" ng-if="selected.ensemble[1]">
                                      {{selected.ensemble[1].capacity_factor_range}}
                                    </td>
                                    <td ng-if="selected.ensemble[2]" class="orange">
                                      {{selected.ensemble[2].capacity_factor_range}}
                                    </td>
                                  </tr>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="row">
                          <div class="col-md-6">
                            <canvas width="280" height="220" id="power-chart" class="chart chart-line"
                              chart-options="selected.graphData.option.powerCurve"
                              chart-data="selected.graphData.pw_data" chart-series="selected.graphData.series">
                            </canvas>
                          </div>
                          <div class="col-md-6">
                            <canvas width="280" height="220" id="thrust-chart" class="chart chart-line"
                              chart-options="selected.graphData.option.thrustCurve"
                              chart-data="selected.graphData.ts_data" chart-series="selected.graphData.series">
                            </canvas>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <div class="wtg_summary" style="padding: 10px;border: transparent;">
                          <div class="row">
                            <div class="col-md-12">
                              <div class="bg">
                                <p>Per Turbine Details</p>
                              </div>
                            </div>
                            <div class="col-md-12">
                              <div class="" style="overflow-y: auto">
                                <div class="">
                                  <div class="gamesa_bg">
                                    <p>
                                      {{removeUnknown(selected.ensemble[0].turbine_type[0].name)}}
                                    </p>
                                  </div>
                                  <div>
                                    <div class="gamesa-tables">
                                      <table class="table table-bordered">
                                        <tbody>
                                          <tr class="blue_bg">
                                            <td>Turbine ID</td>
                                            <td>Easting</td>
                                            <td>Northing</td>
                                            <td>Free Speed(m/s)</td>
                                            <td>Gross(MWh/yr)</td>
                                            <td>Array Efficiency</td>
                                            <td>Net (MWh/yr)</td>
                                            <td>Capacity Factor (%)</td>
                                          </tr>
                                          <tr class="lightblue"
                                            ng-repeat="(index, turbine) in selected.ensemble[0].site[0].site_turbines.turbine">
                                            <td>T{{index+1}}</td>
                                            <td>{{turbine.x.toFixed(3)}}</td>
                                            <td>{{turbine.y.toFixed(3)}}</td>
                                            <td>
                                              {{turbine.mean_free.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.gross_yield.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.array_efficiency.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.net_yield.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.capacity_factor.toFixed(2)}}
                                            </td>
                                          </tr>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                                <div class="padding-0" ng-if="selected.ensemble[1]">
                                  <div class="gamesa_bg">
                                    <p>
                                      {{removeUnknown(selected.ensemble[1].turbine_type[0].name)}}
                                    </p>
                                  </div>
                                  <div>
                                    <div class="gamesa-tables">
                                      <table class="table table-bordered">
                                        <tbody>
                                          <tr class="blue_bg">
                                            <td>Free Speed(m/s)</td>
                                            <td>Gross (MWh/yr)</td>
                                            <td>Array Efficiency</td>
                                            <td>Net (MWh/yr)</td>
                                            <td>Capacity Factor (%)</td>
                                          </tr>
                                          <tr class="lightblue"
                                            ng-repeat="turbine in selected.ensemble[1].site[0].site_turbines.turbine">
                                            <td>
                                              {{turbine.mean_free.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.gross_yield.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.array_efficiency.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.net_yield.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.capacity_factor.toFixed(2)}}
                                            </td>
                                          </tr>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                                <div class="" ng-if="selected.ensemble[2]">
                                  <div class="gamesa_bg">
                                    <p>
                                      {{removeUnknown(selected.ensemble[2].turbine_type[0].name)}}
                                    </p>
                                  </div>
                                  <div>
                                    <div class="gamesa-tables">
                                      <table class="table table-bordered">
                                        <tbody>
                                          <tr class="blue_bg">
                                            <td>Free Speed(m/s)</td>
                                            <td>Gross (MWh/yr)</td>
                                            <td>Array Efficiency</td>
                                            <td>Net (MWh/yr)</td>
                                            <td>Capacity Factor (%)</td>
                                          </tr>
                                          <tr class="lightblue"
                                            ng-repeat="turbine in selected.ensemble[2].site[0].site_turbines.turbine">
                                            <td>
                                              {{turbine.mean_free.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.gross_yield.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.array_efficiency.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.net_yield.toFixed(2)}}
                                            </td>
                                            <td>
                                              {{turbine.capacity_factor.toFixed(2)}}
                                            </td>
                                          </tr>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer" data-ng-if="!inits.showCalculationWait && tabData.length"
          style="padding-top: 0px !important; border-top: 0px !important">
          Exports:
          <a data-ng-repeat="(key, type) in downloadUrl" class="btn btn-default" title="Export {{key}}" href="{{type}}"
            target="_blank" rel="noopener noreferrer">
            {{key}}
          </a>
          <a class="btn btn-danger" title="Export PDF" href="#" ng-click="exportAsPDF()" data-ng-disabled="waitForData"
            rel="noopener noreferrer">
            PDF
          </a>
          <button class="btn btn-warning" data-ng-click="close()" type="button">
            Close
          </button>
        </div>
      </div>
    </div>
  </div>
</div>